/*
 * This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at https://mozilla.org/MPL/2.0/.
 */

export module Point;

import <iostream>;

export class Point
{
public:
	Point(int x, int y, int z) : x_{x}, y_{y}, z_{z} {}

	auto operator <=>(const Point& rhs) const = default;

	friend std::ostream& operator<<(std::ostream& os, const Point& p);

private:
	int x_, y_, z_;
};

export std::ostream& operator<<(std::ostream& os, const Point& p) 
{
	return os << "(" << p.x_ << ", " << p.y_ << ", " << p.z_ << ") ";
}